@use '/src/mainColor' as *;

.light-mode {
  .area_page-logos {
    --line-back: #{mainColor(20%)};
    --logo-filter: none;
  }
}
.dark-mode {
  .area_page-logos {
    --line-back: #{mainColor(80%)};
    --logo-filter: invert(1);
  }
}

.area_page-logos {
  width: 25em;
  max-width: 100%;
  margin-top: 2em;
  display: flex;
  justify-content: center;
  align-items: center;

  .logo {
    width: 30%;

    &.idf-logo {
      filter: var(--logo-filter);
    }
  }

  .sep-line {
    margin: 0 5%;
    height: 50%;
    width: 3px;
    border-radius: 3px;
    background-color: var(--line-back);
  }
}